aboutsummaryrefslogtreecommitdiff
path: root/REORG.TODO/scripts/list-sources.sh
diff options
context:
space:
mode:
Diffstat (limited to 'REORG.TODO/scripts/list-sources.sh')
-rwxr-xr-xREORG.TODO/scripts/list-sources.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/REORG.TODO/scripts/list-sources.sh b/REORG.TODO/scripts/list-sources.sh
new file mode 100755
index 0000000000..d1c6803af6
--- /dev/null
+++ b/REORG.TODO/scripts/list-sources.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+#
+# List all the files under version control in the source tree.
+#
+
+case $# in
+0) ;;
+1) cd "$1" ;;
+*) echo >&2 "Usage: $0 [top_srcdir]"; exit 2 ;;
+esac
+
+if [ -r .git/HEAD ]; then
+ ${GIT:-git} ls-files
+ exit 0
+fi
+
+echo >&2 'Cannot list sources without some version control system in use.'
+exit 1